package com.sqx.modules.firstLogin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.firstLogin.dto.WorkExpDetailDto;
import com.sqx.modules.firstLogin.entity.WorkExp;

import java.util.List;

public interface WorkExpService extends IService<WorkExp> {
    List<WorkExpDetailDto> selectWorkExp(Integer userId);

    List<Object> selectWorkExpOne(Integer workExpId);

    List<WorkExp> selectWorkExpOnly(Long userId);

    Object getWorkExpDetailOne(Long workExpId);

    Integer getWorkTime(Long userId);
}
